tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
Subject New classloader hierarchy in Tomcat 3.3 causes problems not occuring with Tomcat 3.1
Date Thu, 28 Jun 2001 11:36:06 GMT


I have the following problem with the new hierarchy of class loaders in
Tomcat 3.3:

I am using a self-written interceptor which needs classes from j2ee.jar. It
 seems that this
requires that j2ee.jar is available to the "Common"-Classloader.
Unfortunately then the
"Container"-Classloader will have j2ee.jar in its classpath before the
tomcat jar files which
is fatal because it then uses older incompatible versions of classes like

Is there any other solution to this than removing all duplicate files from

Thanks in advance,


View raw message